Change in ...osmo-mgw[master]: manuals: Add script to regenerate vty/counter documentation

daniel gerrit-no-reply at lists.osmocom.org
Wed Jun 19 12:09:01 UTC 2019


daniel has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-mgw/+/14532


Change subject: manuals: Add script to regenerate vty/counter documentation
......................................................................

manuals: Add script to regenerate vty/counter documentation

Change-Id: Ib5e0bd9ec430a6ef3dce6845d7def39720c54637
Depends: Ic5828957a29d4f317e1ebf4f03b5f5359f6250e8 (docker-playground.git)
Related: OS#1700
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-mgw refs/changes/32/14532/1

diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index 0faebf3..a82f95d 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -1,6 +1,7 @@
 EXTRA_DIST = osmomgw-usermanual.adoc \
     osmomgw-usermanual-docinfo.xml \
     osmomgw-vty-reference.xml \
+    regen_doc.sh \
     chapters \
     vty
 
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..210d65c
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_MGW_BRANCH=$COMMIT ./regen_doc.sh osmo-mgw 4243 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/mgw_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-mgw/+/14532
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-mgw
Gerrit-Branch: master
Gerrit-Change-Id: Ib5e0bd9ec430a6ef3dce6845d7def39720c54637
Gerrit-Change-Number: 14532
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190619/500eff83/attachment.html>


More information about the gerrit-log mailing list